import mysql.simplesql as sql


def insertImage(image):
    yield sql.Insert(table='images', values={
        "id": image.get('id', None),
        "idtype": image.get('idtype', None),
        "usagetype": image.get('usagetype', None),
        "hash": image.get('hash', None),
    })


def clearImage():
    yield sql.DeleteAll(table='images')


def deleteImage(image):
    id = image.get('id', None),
    idtype = image.get('idtype', None),
    usagetype = image.get('usagetype', None)
    if id and idtype and usagetype:
        yield sql.Delete(table='images', whereFields=['id', 'idtype', 'usagetype'], whereValues=[id, idtype, usagetype])
